﻿using System.IO;

namespace Understanding_Linq_2
{
    public class CsvService : System.Web.Services.WebService
    {
        protected CsvFileReader<TData> LoadCsvData<TData>(string filename) where TData : new()
        {
            string physicalFilename = 
                Context.Request.MapPath(string.Format("App_Data/{0}", filename));
            
            return new CsvFileReader<TData>( File.OpenText(physicalFilename ));
        }
    }
}
